/*
 * PrintRecRefundRequest.java
 *
 * Created on 4 April 2008, 14:44
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.shtrih.jpos.fiscalprinter.request;

/**
 *
 * @author V.Kravtsov
 */

import com.shtrih.jpos.fiscalprinter.FiscalPrinterImpl;
import com.shtrih.jpos.fiscalprinter.request.FiscalPrinterRequest;

public final class PrintRecRefundRequest 
    extends FiscalPrinterRequest
{
    private final String description;
    private final long amount;
    private final int vatInfo;

    public PrintRecRefundRequest(String description, long amount,  int vatInfo)
    {
        this.description = description;
        this.amount = amount;
        this.vatInfo = vatInfo;
    }
    
    public void execute(FiscalPrinterImpl device)
        throws Exception
    {
       device.printRecRefundAsync(description, amount, vatInfo);
    }
}
